Bug 28081 - Make card number a label in patron search results
Summary: Make card number a label in patron search results
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-02 18:23 UTC by Owen Leonard
Modified: 2021-05-19 13:12 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
In the Patrons module, in patron search results, the user can now click the patron card number to select the checkbox for that row.
Version(s) released in:
21.05.00


Attachments
Bug 28081: Make card number a label in patron search results (2.56 KB, patch)
2021-04-05 16:37 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28081: Make card number a label in patron search results (2.60 KB, patch)
2021-04-05 20:24 UTC, David Nind
Details | Diff | Splinter Review
Bug 28081: Make card number a label in patron search results (2.67 KB, patch)
2021-04-14 12:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-04-02 18:23:22 UTC
I would like to modify patron search results in the patrons module so that each patron card number is wrapped in a label tag which controls the state of the corresponding checkbox.
Comment 1 Lucas Gass 2021-04-02 19:41:21 UTC
+1, good idea.
Comment 2 Owen Leonard 2021-04-05 16:37:54 UTC
Created attachment 119185 [details] [review]
Bug 28081: Make card number a label in patron search results

This patch modifies the output of the AJAX patron search results so that
the number in the card number column is wrapped in a <label> tag which
triggers the corresponding checkbox.

To test, apply the patch and go to the Patrons module.

 - Perform a patron search which will return more than one result or
   click on a letter to browse.
 - In the search results, confirm that clicking any card number triggers
   the corresponding checkbox.
Comment 3 David Nind 2021-04-05 20:24:10 UTC
Created attachment 119189 [details] [review]
Bug 28081: Make card number a label in patron search results

This patch modifies the output of the AJAX patron search results so that
the number in the card number column is wrapped in a <label> tag which
triggers the corresponding checkbox.

To test, apply the patch and go to the Patrons module.

 - Perform a patron search which will return more than one result or
   click on a letter to browse.
 - In the search results, confirm that clicking any card number triggers
   the corresponding checkbox.

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Jonathan Druart 2021-04-14 12:09:51 UTC
Created attachment 119566 [details] [review]
Bug 28081: Make card number a label in patron search results

This patch modifies the output of the AJAX patron search results so that
the number in the card number column is wrapped in a <label> tag which
triggers the corresponding checkbox.

To test, apply the patch and go to the Patrons module.

 - Perform a patron search which will return more than one result or
   click on a letter to browse.
 - In the search results, confirm that clicking any card number triggers
   the corresponding checkbox.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2021-04-14 13:36:30 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-04-19 12:54:22 UTC
Enhancement not pushed to 20.11.x